Page MenuHomePhabricator

PHP Notice: Object of class MediaWiki\Debug\DeprecatablePropertyArray could not be converted to int
Closed, ResolvedPublicPRODUCTION ERROR

Description

Error

MediaWiki version: 1.35.0-wmf.37

message
PHP Notice: Object of class MediaWiki\Debug\DeprecatablePropertyArray could not be converted to int

Impact / Notes

Just saw a spike of these notices under wmf.37 on ptwikisource. Unsure of user impact, but at minimum it's quite a bit of logspam.

Details

Request ID
54ac70e3-a673-480e-9222-3baf7ba95d8f
Request URL
https://pt.wikisource.org/w/index.php?title=P%C3%A1gina:Contos_em_verso.djvu/188&action=submit
Stack Trace
exception.trace
#0 /srv/mediawiki/php-1.35.0-wmf.37/includes/EditPage.php(1648): MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/mediawiki/php-1.35.0-wmf.37/includes/EditPage.php(597): EditPage->handleStatus(Status, array)
#2 /srv/mediawiki/php-1.35.0-wmf.37/extensions/ProofreadPage/includes/Page/PageSubmitAction.php(24): EditPage->edit()
#3 /srv/mediawiki/php-1.35.0-wmf.37/includes/MediaWiki.php(527): ProofreadPage\Page\PageSubmitAction->show()
#4 /srv/mediawiki/php-1.35.0-wmf.37/includes/MediaWiki.php(313): MediaWiki->performAction(Article, Title)
#5 /srv/mediawiki/php-1.35.0-wmf.37/includes/MediaWiki.php(986): MediaWiki->performRequest()
#6 /srv/mediawiki/php-1.35.0-wmf.37/includes/MediaWiki.php(543): MediaWiki->main()
#7 /srv/mediawiki/php-1.35.0-wmf.37/index.php(47): MediaWiki->run()
#8 /srv/mediawiki/w/index.php(3): require(string)
#9 {main}

Event Timeline

brennen created this task.Jun 16 2020, 8:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 16 2020, 8:40 PM
brennen triaged this task as Unbreak Now! priority.Jun 16 2020, 8:40 PM
brennen updated the task description. (Show Details)
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJun 16 2020, 8:40 PM
DannyS712 moved this task from Unsorted to Others on the User-DannyS712 board.

Change 606047 had a related patch set uploaded (by DannyS712; owner: Ppchelko):
[mediawiki/core@wmf/1.35.0-wmf.37] Do not return internal edit status from EditPage

https://gerrit.wikimedia.org/r/606047

Change 606047 merged by jenkins-bot:
[mediawiki/core@wmf/1.35.0-wmf.37] Do not return internal edit status from EditPage

https://gerrit.wikimedia.org/r/606047

Mentioned in SAL (#wikimedia-operations) [2020-06-17T08:43:05Z] <jforrester@deploy1001> Synchronized php-1.35.0-wmf.37/includes/EditPage.php: T255177 T255614 Do not return internal edit status from EditPage (duration: 01m 08s)

Jdforrester-WMF closed this task as Resolved.Jun 17 2020, 8:43 AM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Deployed.

brennen moved this task from Backlog to Done / Defunct on the User-brennen board.Jun 19 2020, 2:31 AM